{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "PCO_VALIDITE"; 
            externalType = VARCHAR2; 
            name = pcoValidite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, pcoNum, pcoValidite); 
    className = "org.cocktail.kava.server.metier.EOPlanComptableCtpReaictp"; 
    classProperties = (pcoNum, pcoValidite, planComptable); 
    externalName = "jefy_recette.v_plan_comptable_ctp_reaictp"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (pcoNum, pcoValidite, planComptable); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOPlanComptableCtpReaictp"; 
        "_nameInObjectStore" = "v_plan_comptable_ctp_reaictp"; 
    }; 
    name = PlanComptableCtpReaictp; 
    primaryKeyAttributes = (pcoNum); 
    relationships = (
        {
            destination = PlanComptable; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = pcoNum; sourceAttribute = pcoNum; }
            ); 
            name = planComptable; 
        }
    ); 
}
